# coding: utf-8

module UzuUzu
  module Controller
    #
    #
    #
    class Page
      
      #
      #
      #
      def before
        redirect(rf(Initialize)) unless info.initialize?
      end # before
      
      #
      #
      #
      def index(*breadcrumbs)
        if breadcrumbs.blank?
          not_found
        end
        page = ::UzuUzu::Page.first(:name => breadcrumbs.shift)
        while !breadcrumbs.blank?
          page = page.childs(:name => breadcrumbs.shift) unless page.nil?
        end
        if page.nil?
          not_found
        end
        respond(page.render(self))
      end # index
      
      #
      #
      #
      def id(page_id)
        page = ::UzuUzu::Page.first(:id => page_id)
        if page.nil?
          not_found
        end
        respond(render_page(page))
      end # id

      #
      #
      #
      def top_page
        page = info.top_page
        if page.nil?
          not_found
        end
        respond(render_page(page))
      end # top_page
    end # Page
  end # Controller
end # UzuUzu
