# coding: utf-8

module UzuUzu
  #
  #
  #
  class BlogComment
    include DataMapper::Resource
    include DataMapper::Timestamps

    property :id, Serial
    property :name, String,
             :required => false,
             :length => 255
    property :url, String,
              :length => 255
    property :title, String,
              :required => true,
              :length => 255
    property :body, Text,
              :required => true
    property :status, Enum[:new, :allowed, :deleted]
    timestamps :at

    belongs_to :user, :required => false
    belongs_to :blog_entry

  end #BlogComment
end #UzuUzu
