# coding: utf-8

module UzuUzu
  class User
    include DataMapper::Resource
    include DataMapper::Timestamps
    
    property :id, Serial
    property :user_id, Text,
              :required => true,
              :unique => true
    property :name, String,
              :required => true,
              :length => 255
    property :domain, String,
              :required => true,
              :length => 255
    property :email, String,
              :length => 255
    property :web, Text
    property :admin, Boolean,
              :default => false
    timestamps :at
    
  end #User
  
  if auto_upgrade?
    repository do
      User.auto_upgrade!
    end
  end
end #UzuUzu
