# coding: utf-8

module UzuUzu
  class WikiAttache
    include DataMapper::Resource
    include DataMapper::Timestamps

    property :id, Serial
    property :title, String,
              :required => true,
              :length => 255
    timestamps :at
    
    if UzuUzu.gae?
      property :body, Blob,
                :required => true,
                :length => 2 ** 32
    else
      property :body, Binary,
                :required => true,
                :length => 2 ** 32
    end
    
    belongs_to :wiki_entry
  end    
end
