# coding: utf-8

module UzuUzu
  class WikiEntry
    include DataMapper::Resource
    include DataMapper::Timestamps

    property :id, Serial
    property :revision, Integer,
              :required => true
    property :title, String,
              :required => true,
              :length => 255
    property :body, Text,
              :required => true
    timestamps :at
        
    has n, :wiki_attaches, 'UzuUzu::WikiAttache'
    
  end    
end
