# coding: utf-8

module UzuUzu
  module Controller
    autoload(:Contents, 'uzuuzu-cms/controller/contents')
    autoload(:Crud, 'uzuuzu-cms/controller/crud')
    autoload(:Error, 'uzuuzu-cms/controller/error')
    autoload(:Index, 'uzuuzu-cms/controller/index')
    autoload(:Initialize, 'uzuuzu-cms/controller/initialize')
    autoload(:Oauth, 'uzuuzu-cms/controller/oauth')
    autoload(:Openid, 'uzuuzu-cms/controller/openid')
    autoload(:Page, 'uzuuzu-cms/controller/page')
    autoload(:Plugin, 'uzuuzu-cms/controller/plugin')
    autoload(:User, 'uzuuzu-cms/controller/user')
    module Admin
      autoload(:Index, 'uzuuzu-cms/controller/admin/index')
    end
    module Blog
      autoload(:Index, 'uzuuzu-cms/controller/admin/index')
    end
    module Ec
      autoload(:Index, 'uzuuzu-cms/controller/admin/index')
    end
    module Wiki
      autoload(:Index, 'uzuuzu-cms/controller/admin/index')
    end
    
    def info
      @_info ||= ::UzuUzu::Info.uniq
    end
  end
end